/**
 * 
 */


package gov.va.med.cds.webservice;


import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.WebApplicationException;


/**
 * @author DNS   egberb
 * 
 */
@Path( "/" )
public class RestClinicalDataServiceCreateProxy
    extends
        AbstractRestClinicalDataServiceProxy
{
    
    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.client.ClinicalDataServiceInterface#
     * createClinicalData(java.lang.String, java.lang.String, java.lang.String)
     */
    @POST
    @Path( "" )
    @Produces( "application/xml" )
    public String createClinicalData( @QueryParam( "createRequest" )
    String createRequest, @QueryParam( "templateId" )
    String templateId, @QueryParam( "requestId" )
    String requestId )
    {
        try
        {
            return this.clinicalDataService.createClinicalData( createRequest, templateId, requestId );
        }
        catch ( Exception e )
        {
            throw new WebApplicationException( e );
        }
    }

}
